# OnlineCourse Product for Zope
# Copyright (C) 2001 Maurice Davis <mjd@networklogic.com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA.
#
# See file COPYING.txt
#
#
from Interface.InterfaceBase import InterfaceBase

class IOnlineCourse(InterfaceBase):
    """An Online Course Product."""

    def getStudents(self):
	"Get a student list."

    def getInstructors(self):
	"Get an instructor list."

class ICourseMember(InterfaceBase):
    """An Online Course Product."""

    def addCourseMember(self):
	"Add an Instructor or Student to the Course."

    def editCourseMember(self):
	"Edit an Instructor or Student."

    def delCourseMember(self):
	"Remove an instructor or Student from the Course."

